Bug 816086 - Inventory tree focuses previously selected node when expanding others
Inventory tree focuses previously selected node when expanding others
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI, Usability (Show other bugs)
4.4
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 04:48 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:12:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-04-25 04:48:05 EDT
Description of problem: When navigating in inventory under specific platform, I use treeview on left side.


Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: 5ffafd2
GWT Version: 2.4.0
SmartGWT Version: 3.0
Chromium 18, Firefox 11

How reproducible:almost always - needs patience

Requirements: 
1. have a platform with at least 2 resources with child depth at least 3 and some autogroups (EAP6 + httpd is enough)

Steps to Reproduce:

1.navigate to platform - platform appears in the root of treeview
2.by clicking on arrows (exapnd) navigate to 'Apache Virtual Hosts' autogroup
3.click on it - so it appears as selected resource for you
4. collapse 'Apache HTTPD Servers' autogroup - treeview now looks same as after step 1.
5. by clicking on arrows (expand) navigate to some child resource of EAP6
  
Actual results: in step 5 at some point click on arrow suddenly jumps to 'Apache HTTPD Servers' autogroup. Yes, you get expanded correct node, but selection jumps somewhere else. In general .. it jumps to some node you visited time ago and when you have a little bit more resources there it is very confusing (especially when scrollbar is visible)


Expected results:selected node in treeview should be focused only by click


Additional info: I do not recall this happening before
Comment 1 Mike Foley 2012-04-30 12:02:19 EDT
triaged 4/30/2012 by loleary, ccrouch, mfoley
Comment 2 Jirka Kremser 2012-06-12 08:17:01 EDT
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=274f189

git log master
time:    Tue Jun 12 14:14:50 2012 +0200
commit:  274f189f5b4f5eba233630eb92c368c2abe485fa
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 816086 - Inventory tree focuses previously selected node when expanding others] Added the check whether expanding the currently selected node or some other
Comment 3 Libor Zoubek 2012-06-14 09:05:51 EDT
verified on Version: 4.5.0-SNAPSHOT Build Number: 1667f97
Comment 4 Heiko W. Rupp 2013-08-31 06:12:30 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.